Bug 35203 - PHP 5.4 Update - php5-suhosin error after update
PHP 5.4 Update - php5-suhosin error after update
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Felix Botner
Philipp Hahn
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-27 09:10 CEST by Felix Botner
Modified: 2014-11-26 06:55 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-06-27 09:10:29 CEST
During update to PHP 5.4 php5-suhosin is removed but the config remains. This leads to an startup warning:

HP Startup: Unable to load dynamic library
'/usr/lib/php5/20100525/suhosin.so' - /usr/lib/php5/20100525/suhosin.so: cannot open shared object file: No such file or directory at 

We need to purge /etc/php5/conf.d/suhosin.ini during the update. Maybe we patch the new php5-common to delete this config file.
Comment 1 Moritz Muehlenhoff univentionstaff 2014-07-09 09:01:21 CEST
There is no simple solution for this and the same problem exists e.g. in standard Debian when updating from Squeeze to Wheezy:

During the upgrade to PHP 5.4 php5-suhosin is uninstalled due to the "Breaks: php5-suhosin (<< 0.9.34)" in php5-common. As such php5-suhosin remains installed in "rc" state with it's conffile in place:

root@master:~# dpkg -L php5-suhosin
/etc
/etc/php5
/etc/php5/conf.d
/etc/php5/conf.d/suhosin.ini

- Simply removing /etc/php5/conf.d/suhosin.ini while it's still registered by dpkg is problematic

- There's no mechanism is Debian package relationship mechanics which allows to declare that a package is purged instead of simply removed

- AFAIK we don't have preup/postup scripts for components (otherwise we could run "dpkg --purge dpkg -L php5-suhosin" in postup)

Since the error is only visible in the apache.log and not during e.g. an Apache restart and is only logged if the PHP 5.4 packages are installed on UCS 3.2 I suggest we ignore this for 3.2 and run "dpkg --purge dpkg -L php5-suhosin" in the UCS 4.0 postup script (starting with UCS 4.0 everyone would otherwise see this in the logfiles.
Comment 2 Stefan Gohmann univentionstaff 2014-07-09 09:32:20 CEST
That's OK for me if it is only a log message. Move to UCS 4.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-07-09 10:07:26 CEST
(In reply to Moritz Muehlenhoff from comment #1)

> run "dpkg --purge dpkg -L
> php5-suhosin" in the UCS 4.0 postup script

Copy&paste error, tthat should of course read "dpkg --purge php5-suhosin"
Comment 4 Felix Botner univentionstaff 2014-10-16 17:25:11 CEST
added dpkg --purge php5-suhosin to postup.sh
Comment 5 Philipp Hahn univentionstaff 2014-11-04 12:58:58 CET
OK: r54551 ChangeLog
OK: r54548,54762 postup.sh
OK: dpkg -l php5-suhosin
Comment 6 Stefan Gohmann univentionstaff 2014-11-26 06:55:07 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".